import { Http } from '@angular/http';
import 'rxjs/add/operator/map';
import 'rxjs/add/operator/publishReplay';
import { Observable } from 'rxjs/Rx';
import { Credentials, Org, Project, Device, Variable, VarType, Stream, DataPoint, SensorGraph, DataFilterArgs } from './models';
export declare class CloudService {
    private _http;
    private _apiEndpoint;
    private _token;
    constructor(http: Http);
    private _createAuthorizationHeader(headers);
    private _getRequestOptions();
    _get(url: string): Observable<any>;
    private _patch(url, payload);
    private _post(url, payload);
    setApiEndPoint(url: string): void;
    setToken(token: string): void;
    clearToken(): void;
    authenticate(credentials: Credentials): Observable<any>;
    getUserInfo(): Observable<any>;
    getSensorGraphs(): Observable<any>;
    getSensorGraph(slug: string): Observable<SensorGraph>;
    getOrgs(): Observable<any>;
    postOrg(org: Org): Observable<Org>;
    getProjects(): Observable<any>;
    patchProject(project: Project): Observable<Project>;
    getDevice(deviceSlug: string): Observable<Device>;
    patchDevice(device: Device): Observable<Device>;
    getVariable(varSlug: string): Observable<Variable>;
    getVariableType(varSlug: string): Observable<VarType>;
    getAllVarTypes(): Observable<any>;
    getVariables(project: Project): Observable<any>;
    patchVariable(variable: Variable): Observable<Variable>;
    getDevices(project: Project): Observable<any>;
    getStreamsForDevice(deviceSlug: string, projectId: string): Observable<any>;
    getStream(streamSlug: string): Observable<Stream>;
    patchStream(stream: Stream): Observable<Stream>;
    getStreamStats(streamSlug: string, args: DataFilterArgs): Observable<any>;
    getStreamData(stream: Stream, args: DataFilterArgs): Observable<Array<DataPoint>>;
    uploadStreamData(payload: {}): Observable<any>;
}
