import { Org } from './org';
import { Device, DeviceDictionary } from './device';
import { Stream, StreamDictionary } from './stream';
import { Variable, VariableDictionary } from './variable';
import { DataPoint } from './datapoint';
export declare class Project {
    id: string;
    gid: string;
    slug: string;
    name: string;
    orgSlug: string;
    pageTemplateId: number;
    pageTemplateSlug: string;
    pageTemplateLabel: string;
    org: Org;
    devices: Array<Device>;
    deviceMap: DeviceDictionary;
    streams: Array<Stream>;
    streamMap: StreamDictionary;
    variables: Array<Variable>;
    variableMap: VariableDictionary;
    constructor(data?: any);
    addDevices(devices: Array<Device>): void;
    getDevice(slug: any): Device;
    addStreams(streams: Array<Stream>): void;
    getStream(slug: any): Stream;
    addVariables(variables: Array<Variable>): void;
    getVariable(slug: any): Variable;
    getVariableForStream(slug: any): Variable;
    computeValue(stream: Stream, data: DataPoint): number;
}
