import { AsyncSubject } from 'rxjs/Rx';
import { Stats } from './stats';
import { DataPoint } from './datapoint';
import { Mdo } from './mdo';
import { Unit } from './unit';
export interface StreamDictionary {
    [index: string]: Stream;
}
export declare class Stream {
    slug: string;
    variable: string;
    device: string;
    project: string;
    template: string;
    mdoType: string;
    mdo: Mdo;
    inputUnit: Unit;
    outputUnit: Unit;
    stats: Stats;
    dataLabel: string;
    data: Array<DataPoint>;
    returnedStreamData: AsyncSubject<Array<DataPoint>>;
    constructor(data?: any);
    addStats(stats: Stats): void;
    addData(data: Array<DataPoint>): void;
    getLocalVarId(): string;
    resetData(): void;
    getPatchPayload(): any;
}
